# class KRootPixmap | Create pseudo-transparent widgets. More...
Definition | `#include <krootpixmap.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KRootPixmap (QWidget *widget)
- ~KRootPixmap ()
- void setFadeEffect (double strength, QColor color)
- void start ()
- void stop ()
- bool checkAvailable (bool ignored)
- void repaint (bool force)

#### Public Slots

- void repaint ()

#### Protected Methods

- virtual bool eventFilter (QObject *, QEvent *)

## Detailed Description

Create pseudo-transparent widgets.

A pseudo-transparent widget is a widget with its background pixmap set to that part of the desktop background that it is currently obscuring. This gives a transparency effect.

To create a transparent widget, construct a KRootPixmap and pass it a pointer to your widget. That's it! Moving, resizing and background changes are handled automatically.

KRootPixmap (QWidget *widget) | ### KRootPixmap

Construct a KRootPixmap.

Parameters:

widget | A pointer to the widget that you want to make pseudo transparent.

~KRootPixmap () | ### ~KRootPixmap

void setFadeEffect (double strength, QColor color) | ### setFadeEffect

Set the fade effect.

This effect will fade the background to the specified color.

Parameters:

strength | A value between 0 and 1, indicating the strength of the fade. A value of 0 will not change the image, a value of 1 will make it the fade color everywhere, and in between.
color | The color to fade to.

void start () | ### start

Start background handling.

void stop () | ### stop

Stop background handling.

bool checkAvailable (bool ignored) | ### checkAvailable

Check if pseudo-transparency is available.

Returns: `true` if transparency is available, `false` otherwise.

void repaint (bool force) | ### repaint

Repaint the widget background.

Normally, you shouldn't need this.

Parameters:

force | Force a repaint, even if the contents did not change.

void repaint () | ### repaint

[slot]

bool eventFilter (QObject *, QEvent *) | ### eventFilter

[protected virtual]

Reimplemented from QObject.

- Version: $Id: krootpixmap.h,v 1.5 2000/06/25 16:52:16 dsweet Exp $
- Author: Geert Jansen <jansen@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.